#include <QApplication>
#include <QMainWindow>
#include <QQuickWidget>
#include <QQuickView>

#define USE_CONTAINER   1
#define USE_WIDGET      0

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

#if USE_CONTAINER
    QMainWindow window;

    QQuickView qxView;
    qxView.setResizeMode(QQuickView::SizeRootObjectToView);
    qxView.setSource(QUrl("qml/main.qml"));

    QWidget *qxWidget = QWidget::createWindowContainer(&qxView);
    qxWidget->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);

    window.setCentralWidget(qxWidget);
    window.resize(800, 600);
    window.show();
#elif USE_WIDGET
    QMainWindow window;

    QQuickWidget qxWidget;
    qxWidget.setResizeMode(QQuickWidget::SizeRootObjectToView);
    qxWidget.setSource(QUrl("qml/main.qml"));

    window.setCentralWidget(&qxWidget);
    window.resize(800, 600);
    window.show();
#else
    QQuickView qxView;
    qxView.setResizeMode(QQuickView::SizeRootObjectToView);
    qxView.setSource(QUrl("qml/main.qml"));

    qxView.resize(800, 600);
    qxView.show();
#endif  // USE_WIDGET

    return app.exec();
}
